=== debian/changelog ===
libtorrent-rasterbar (0.16.11-1ubuntu1) saucy; urgency=low

  * Re-sync on Debian, but revert libboost transition and
    stay with libboost 1.53 for saucy.
  * Explictly pass --with-boost-system=boost_system in configure
    as ax_boost_system.m4 doesn't want to find it now that it
    is multiarch.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sat, 28 Sep 2013 19:26:56 -0400

libtorrent-rasterbar (0.16.11-1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream version 0.16.11.
    - fixes build with Boost 1.54 (Closes: #724708).
  * fix-ftbfs-kfreebsd-iconv.patch: deleted (merged upstream).
  * debian/rules: fix linking with boost_python libraries (Closes: #721546).
  * debian/control:
    - switch to boost1.54-dev | boost-dev deps.
    - bump Standards-Version to 3.9.4 (no changes required).
  * debian/copyright:
    - update in according to Copyright format 1.0
    - remove copyright holders whose code was deleted from source tree
    - add missed copyright holders
    - update years

 -- Boris Pek <tehnick@debian.org>  Sat, 28 Sep 2013 20:27:56 +0300

libtorrent-rasterbar (0.16.10-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Adjust python3-libtorrent.install to fix FTBFS when not built with
    python3.2 support (Closes: #718666)

 -- Scott Kitterman <scott@kitterman.com>  Sat, 03 Aug 2013 22:24:08 -0400

libtorrent-rasterbar (0.16.10-3) unstable; urgency=low

  * debian/patches:
    - fix-ftbfs-kfreebsd-iconv.patch: new patch, fix
      ftbfs on kfreebsd, thanks Pino Toscano! (Closes: #712797)
    - refresh other patches.

 -- Cristian Greco <cristian@debian.org>  Thu, 20 Jun 2013 21:18:23 +0200

libtorrent-rasterbar (0.16.10-2) unstable; urgency=low

  * Upload to unstable.
    - fixes all ftbfs (Closes: #701311, #710624).
  * debian/control: switch to conditional build-dep on
    boost1.53-dev | boost-dev.

 -- Cristian Greco <cristian@debian.org>  Mon, 17 Jun 2013 22:56:07 +0200

libtorrent-rasterbar (0.16.10-1) experimental; urgency=low

  * New upstream version 0.16.10.
  * Build python3 packages (patch by Andrew Starr-Bochicchio
    <asb@debian.org>) (Closes: #708072).
  * debian/rules: add explicit configure arg --with-libiconv.

 -- Cristian Greco <cristian@debian.org>  Sun, 26 May 2013 13:57:13 +0200

libtorrent-rasterbar (0.16.9-1) experimental; urgency=low

  * New upstream version 0.16.9.
    - new package libtorrent-rasterbar7 (bump up library soname).
    - debian/control: drop now useless (build-)deps.
    - debian/control: switch to explicit boost1.53 (build-)deps.
    - upload to experimental: the library is pretty stable, but will be
      uploaded to unstable only after the transition of boost1.53.

 -- Cristian Greco <cristian@debian.org>  Sun, 12 May 2013 10:48:57 +0200
