## libtorrent-rasterbar 0.16.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -245,7 +245,7 @@
 	SOVERSION 1
 	VERSION 1)
 
-set (VERSION "0.16.11")
+set (VERSION "0.16.13")
 
 get_property (COMPILETIME_OPTIONS_LIST
 	DIRECTORY ${CMAKE_CURRENT_SOURCE_DIRECTORY}
