=== debian/changelog ===
libtorrent-rasterbar (0.16.13-1ubuntu2.1) trusty-security; urgency=medium

  * SECURITY UPDATE: Stop UPnP from falling back on port 0. Routers
    may forward unmapped ports to the given IP, exposing the machine
    to the internet (LP: #1330703).

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Mon, 23 Jun 2014 22:42:45 -0400

libtorrent-rasterbar (0.16.13-1ubuntu2) trusty; urgency=medium

  * No change rebuild to drop python3.3 compiled extension.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 31 Mar 2014 19:35:11 +0100

libtorrent-rasterbar (0.16.13-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable. Remaining changes:
   - Use dh-autoreconf for ppc64el.
   - Add repatch target to debian/rules to work around autoreconf
     regenerating the patched configure script.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Tue, 25 Feb 2014 21:54:09 -0500

libtorrent-rasterbar (0.16.13-1) unstable; urgency=medium

  * New upstream release.
  * Add myself as an uploader.
  * Bump Standards-Version to 3.9.5, no changes needed. 
  * Update fix-html-docs.patch so that all docs are built from
    source and fix lintian privacy-breach-google-adsense errors. 

 -- Andrew Starr-Bochicchio <asb@debian.org>  Mon, 24 Feb 2014 14:11:14 -0500

libtorrent-rasterbar (0.16.11-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Explicitly pass --with-boost-system=boost_system to configure
    as ax_boost_system.m4 doesn't want to find it now that it
    is multiarch. Fixes FTBFS (Closes: #738381).
  * Fix build with python3.4 as a supported version, using python-config.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Mon, 17 Feb 2014 12:19:53 -0500

libtorrent-rasterbar (0.16.11-2) unstable; urgency=low

  * debian/control: libtorrent-rasterbar-dev should depend on
    boost-system1.54 (Closes: #726823).

 -- Cristian Greco <cristian@debian.org>  Sat, 19 Oct 2013 20:26:01 +0200

libtorrent-rasterbar (0.16.11-1ubuntu5) trusty; urgency=low

  * Use dh-autoreconf for ppc64el.
    - Work around build system nuking python-dbg build fix.

 -- Daniel T Chen <crimsun@ubuntu.com>  Thu, 13 Feb 2014 11:03:49 -0500

libtorrent-rasterbar (0.16.11-1ubuntu4) trusty; urgency=medium

  * Fiy build with python3.4, using python-config.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2014 23:39:43 +0100

libtorrent-rasterbar (0.16.11-1ubuntu2) trusty; urgency=low

  * Bump to Boost 1.54.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sat, 26 Oct 2013 22:26:43 +0100
