=== debian/rules ===
--- 
+++ 
@@ -12,13 +12,18 @@
 CONFIGURE_ARGS = --with-libgeoip --with-libiconv --with-boost-system=boost_system
 
 %:
-	dh $@ --parallel --with python2,python3
+	dh $@  --parallel --with python2,python3,autoreconf
+
+repatch:
+	# Must reapply python-dbg build patch since autoreconf recreates configure.
+	-patch -p1 < debian/patches/fix-python-dbg-build.patch
 
 override_dh_auto_configure-nopy:
 	dh_auto_configure --builddirectory build -- $(CONFIGURE_ARGS)
 
-override_dh_auto_configure-%:
+override_dh_auto_configure-%: repatch
 	CPPFLAGS="$(CPPFLAGS) $(shell python$*-config --includes)" \
+	PYTHON_LDFLAGS="$(shell python$*-config --libs)" \
 	dh_auto_configure --builddirectory build-py$* -- \
 		PYTHON=/usr/bin/python$* PYTHON_INSTALL_PARAMS="--root=$(CURDIR)/debian/tmp --install-layout=deb" \
 		--enable-python-binding --with-boost-python=boost_python-py$(subst .,,$(subst -dbg,,$*)) \
