=== debian/watch ===
version=3
http://code.google.com/p/libtorrent/downloads/list .*/libtorrent-rasterbar-([\d\.]*)\.tar\.gz
