=== debian/changelog ===
libtorrent-rasterbar (0.16.17-1ubuntu2) utopic; urgency=medium

  * Make sure repatch target is actually called.
  * Build against Boost 1.55.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sun, 22 Jun 2014 13:05:14 -0400

libtorrent-rasterbar (0.16.17-1ubuntu1) utopic; urgency=medium

  * Reapply ppc64el delta. 
   - Use dh-autoreconf for ppc64el.
   - Add repatch target to debian/rules to work around autoreconf
     regenerating the patched configure script. 

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sun, 22 Jun 2014 12:27:10 -0400

libtorrent-rasterbar (0.16.17-1) unstable; urgency=medium

  * New upstream release.
   - Don't fall back on wildcard port in UPnP (LP: #1330703). 

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 22 Jun 2014 11:36:34 -0400

libtorrent-rasterbar (0.16.16-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file to find new releases of sourceforge.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sat, 07 Jun 2014 15:39:40 -0400
