=== debian/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Source: libtorrent-rasterbar
 Section: libs
 Priority: optional
-Maintainer: Cristian Greco <cristian@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Cristian Greco <cristian@debian.org>
+Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
 Build-Depends: debhelper (>= 7.4.10),
                dpkg-dev (>= 1.16.1~),
-               libboost-system1.53-dev | libboost-system-dev,
-               libboost-python1.53-dev | libboost-python-dev,
+               dh-autoreconf,
+               libboost-system1.55-dev | libboost-system-dev,
+               libboost-python1.55-dev | libboost-python-dev,
                libssl-dev,
                libgeoip-dev,
                pkg-config,
@@ -15,7 +18,7 @@
                python3-all-dev,
                python3-all-dbg,
                python3-docutils
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/collab-maint/libtorrent-rasterbar.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libtorrent-rasterbar.git
 Homepage: http://www.rasterbar.com/products/libtorrent/index.html
@@ -45,7 +48,7 @@
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends},
          libtorrent-rasterbar7 (= ${binary:Version}),
-         libboost-system1.53-dev | libboost-system-dev,
+         libboost-system1.55-dev | libboost-system-dev,
          libssl-dev,
          libgeoip-dev,
          pkg-config
