=== debian/changelog ===
libtorrent-rasterbar (0.16.18-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Bruno Zanetti <bzanetti00@gmail.com>  Tue, 17 Mar 2015 14:48:31 +0100

libtorrent-rasterbar (0.16.18-1) unstable; urgency=medium

  * New upstream version.
    - fix string handling in python3 bindings (Closes: #756503).
  * debian/patches:
    - fix-python-dbg-build.patch: drop, fixed upstream.
    - fix-html-docs.patch: refresh.
    - fix-python-build-missing-byteshpp.patch: new, fix missing file
      from upstream tarball.

 -- Cristian Greco <cristian@debian.org>  Sat, 18 Oct 2014 19:47:37 +0200

libtorrent-rasterbar (0.16.17-2) unstable; urgency=medium

  * debian/control: switch back to unversioned {build-,}depends
    for boost libraries. (Closes: #759387)

 -- Cristian Greco <cristian@debian.org>  Tue, 02 Sep 2014 22:48:17 +0200
