=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: libtorrent-rasterbar
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Cristian Greco <cristian@debian.org>
-Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
+Maintainer: Cristian Greco <cristian@debian.org>
+Uploaders: Andrew Starr-Bochicchio <asb@debian.org>, Bruno Zanetti <bzanetti00@gmail.com>
 Build-Depends: debhelper (>= 7.4.10),
                dpkg-dev (>= 1.16.1~),
-               dh-autoreconf,
-               libboost-system1.55-dev | libboost-system-dev,
-               libboost-python1.55-dev | libboost-python-dev,
+               libboost-system-dev,
+               libboost-python-dev,
                libssl-dev,
                libgeoip-dev,
                pkg-config,
@@ -48,7 +46,7 @@
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends},
          libtorrent-rasterbar7 (= ${binary:Version}),
-         libboost-system1.55-dev | libboost-system-dev,
+         libboost-system-dev,
          libssl-dev,
          libgeoip-dev,
          pkg-config
