=== debian/rules ===
--- 
+++ 
@@ -12,16 +12,12 @@
 CONFIGURE_ARGS = --with-libgeoip --with-libiconv --with-boost-system=boost_system
 
 %:
-	dh $@  --parallel --with python2,python3,autoreconf
-
-repatch:
-	# Must reapply python-dbg build patch since autoreconf recreates configure.
-	-patch -p1 < debian/patches/fix-python-dbg-build.patch
+	dh $@ --parallel --with python2,python3
 
 override_dh_auto_configure-nopy:
 	dh_auto_configure --builddirectory build -- $(CONFIGURE_ARGS)
 
-override_dh_auto_configure-%: repatch
+override_dh_auto_configure-%:
 	CPPFLAGS="$(CPPFLAGS) $(shell python$*-config --includes)" \
 	PYTHON_LDFLAGS="$(shell python$*-config --libs)" \
 	dh_auto_configure --builddirectory build-py$* -- \
