=== debian/changelog ===
libtorrent-rasterbar (1.0.6-2) unstable; urgency=medium

  * Upload to unstable (Closes: #791176).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sat, 29 Aug 2015 12:55:09 -0400

libtorrent-rasterbar (1.0.6-1) experimental; urgency=medium

  * New upstream release (Closes: #785676).
   - Bump library soname.
  * Drop fix-python-build-missing-byteshpp.patch, applied upstream.
  * python-clean-without-bjam.patch: Only use bjam when '--bjam'
    is passed explicitly.
  * Bump Standards-Version to 3.9.6, no changes.
  * Point debian/watch at GitHub.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sat, 01 Aug 2015 18:03:37 -0400
