=== debian/changelog ===
libtorrent-rasterbar (1.0.7-1build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Jan 2016 19:39:16 +0000

libtorrent-rasterbar (1.0.7-1) unstable; urgency=medium

  * New upstream release (Closes: #806396).
  * Update Source link in debian/copyright.
  * debian/patches/missing_rst_file.patch: Add file missing
    from upstream distribution.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Fri, 27 Nov 2015 12:41:42 -0500
