=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Cristian Greco <cristian@debian.org>
-Uploaders: Andrew Starr-Bochicchio <asb@debian.org>, Bruno Zanetti <bzanetti00@gmail.com>
+Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
 Build-Depends: debhelper (>= 7.4.10),
                dpkg-dev (>= 1.16.1~),
                libboost-system-dev,
@@ -16,14 +16,14 @@
                python3-all-dev,
                python3-all-dbg,
                python3-docutils
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/libtorrent-rasterbar.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libtorrent-rasterbar.git
 Homepage: http://www.rasterbar.com/products/libtorrent/index.html
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.1
 
-Package: libtorrent-rasterbar7
+Package: libtorrent-rasterbar8
 Architecture: any
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -45,7 +45,7 @@
 Architecture: any
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends},
-         libtorrent-rasterbar7 (= ${binary:Version}),
+         libtorrent-rasterbar8 (= ${binary:Version}),
          libboost-system-dev,
          libssl-dev,
          libgeoip-dev,
@@ -68,7 +68,7 @@
 Priority: extra
 Architecture: any
 Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${misc:Depends}, libtorrent-rasterbar7 (= ${binary:Version})
+Depends: ${misc:Depends}, libtorrent-rasterbar8 (= ${binary:Version})
 Description: Debug symbols for libtorrent-rasterbar
  Bittorrent library by Rasterbar Software (Arvid Norberg).
  libtorrent-rasterbar is a C++ library that aims to be a good alternative to
@@ -102,7 +102,7 @@
 Section: python
 Architecture: any
 Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libtorrent-rasterbar7 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libtorrent-rasterbar8 (= ${binary:Version})
 Provides: ${python:Provides}
 Breaks: ${python:Breaks}
 Description: Python bindings for libtorrent-rasterbar
@@ -142,7 +142,7 @@
 Section: python
 Architecture: any
 Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libtorrent-rasterbar7 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libtorrent-rasterbar8 (= ${binary:Version})
 Description: Python bindings for libtorrent-rasterbar (Python 3)
  Bittorrent library by Rasterbar Software (Arvid Norberg).
  libtorrent-rasterbar is a C++ library that aims to be a good alternative to
